$(document).ready(function(){
	var img = '<div style="text-align:center;"><img src="img/emptyList.png" style="width: 55%;"/></div>';
	var check = $("#list").html();
	if(check == ""){
		$("#instructions").hide();
		$("#maincontentdraw").append(img);

	}
});

$(document).ready(function(){

	$("#list li").click(function(){

		$(this).each(function(){
		var getTitulo = $(this).children().first();
		var getDescripcion = $(this).children().last();

		var titulo = getTitulo.text();
		var descripcion = getDescripcion.text();

		$("#taskPageTitle").text(titulo);
		$("#taskPageDescription").text(descripcion);

		});

		if($(this).hasClass("complete")){
			//Reset colors
			$("#barPending").removeClass("barActive").addClass("inactive");
			$("#barImportant").removeClass("barActive").addClass("inactive");
			//Changing selected
			$("#barCompleted").removeClass("inactive").addClass("barActive");

		}

		if($(this).hasClass("incomplete")){
			//Reset colors
			$("#barCompleted").removeClass("barActive").addClass("inactive");
			$("#barImportant").removeClass("barActive").addClass("inactive");
			//Changing selected
			$("#barPending").removeClass("inactive").addClass("barActive");

		}

		if($(this).hasClass("urgent")){
			//Reset colors
			$("#barCompleted").removeClass("barActive").addClass("inactive");
			$("#barPending").removeClass("barActive").addClass("inactive");
			//Changing selected
			$("#barImportant").removeClass("inactive").addClass("barActive");
		}

		$.mobile.changePage("#eachTaskPage", {transition: 'flip'});
	});

});
/* This is an state-based separator for main list, currently in beta, not working well. Maybe in next version

$(document).ready(function(){

	var lasUrgentes = $(".incomplete" + ".urgent" + ".ui-li");
	var primeraUrgente = $(lasUrgentes).first();

	$("<li class='ui-li ui-li-divider ui-bar-b ui-first-child white mainSep' id='urgentSep'>Urgentes</li>").insertBefore(primeraUrgente);

	var lasPendientes = $(".none" + ".incomplete" + ".ui-li");
	var primeraPendiente = $(lasPendientes).first();

	$("<br>"+"<li class='ui-li ui-li-divider ui-bar-b ui-first-child white mainSep' id='pendingSep'>Pendientes</li>").insertBefore(primeraPendiente);

	var lasCompletas = $(".complete" + ".ui-li");
	var primeraCompleta = $(lasCompletas).first();

	$("<br>"+"<li class='ui-li ui-li-divider ui-bar-b ui-first-child white mainSep' id='completeSep'>Completas</li>").insertBefore(primeraCompleta);

	$(".mainSep").swipe(function(){
		location.reload();
	});

//	if(lasUrgentes == ""){
//		$("#urgentSep").hide();
//	}
//	if(lasPendientes == ""){
//		$("#pendingSep").hide();
//	}
//	if(lasCompletas == ""){
//		$("#completeSep").hide();
//	}
});*/

/* <a></a> Form settings */
$(document).ready(function(){
	$("#add-task").removeClass("ui-btn");

	$("#add-task").click(function(){
		var ghj = $('input#title').val();

		if(ghj === ''){
			alert("Es necesario que introduzcas el título de la tarea");
			return false;
		}else{
			$("#composeForm").submit();
		}	
	});
	
	
});
// Rendering twitter share button

$(document).ready(function(){

	$("#list li").click(function(){

		$(this).each(function(){
			var getTituloTwitt = $(this).children().first();
			var getDescripcionTwitt = $(this).children().last();
			var tituloTwitt = getTituloTwitt.text();
			var descripcionTwitt = getDescripcionTwitt.text();
			var urlTwitt = "http://twitter.com/share?text="+"Hoy tengo que hacer: "+encodeURIComponent(tituloTwitt)+" "+encodeURIComponent(descripcionTwitt);

			$("#twitterShare a").attr('href' , urlTwitt);
		});	
	});
});